##### 7.5.14.0. monomialInIdeal

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  monomialInIdeal(I); I ideal

Return:
  ideal consisting of all monomials appearing in generators of ideal

Examlpe:
  example monomialInIdeal; shows examples

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,y),dp;
    ideal I = x2+5x3y7, x-x2-6xy;
    monomialInIdeal(I);
    ==> _[1]=x3y7
    ==> _[2]=x2
    ==> _[3]=xy
    ==> _[4]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.